﻿using C1.Win.C1Themes;
using System.Drawing;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexGrid_ThemeSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            // Get theme by name. 
            var theme = C1ThemeController.GetThemeByName("Office2010Blue", true);
            SetBackgroundProperty(theme, "C1FlexGrid\\Styles\\EmptyArea\\Background", Color.White);
            C1ThemeController.ApplyThemeToControlTree(this, theme);
        }

        private bool SetBackgroundProperty(C1Theme theme, string propPath, Color color)
        {
            if (theme != null)
            {
                // Get the color property at the specified path.
                var prop = theme.Children.GetItemByPath(propPath) as BackgroundProp;
                if (prop != null)
                {
                    prop.Value = ThemeBackground.White;
                    return true;
                }
            }
            return false;
        }
    }
}
